- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_collection_t

# mongoc_collection_get_write_concern()

## Synopsis

    const mongoc_write_concern_t *
    mongoc_collection_get_write_concern (const mongoc_collection_t *collection);

## Parameters

- `collection`: A mongoc_collection_t.

## Description

Fetches the default write concern to be used on write operations originating from `collection` and not specifying a write concern.

## Returns

A mongoc_write_concern_t that should not be modified or freed.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.